Package net.shibboleth.idp.admin.impl

# Class LogImplementationDetails

java.lang.Object
org.springframework.context.support.ApplicationObjectSupport
net.shibboleth.idp.admin.impl.LogImplementationDetails

All Implemented Interfaces:
  `Aware`, `ApplicationContextAware`

public final class LogImplementationDetails extends ApplicationObjectSupport
A bean that logs IdP internals when instantiated, and outputs a number of warning conditions.

Since:
  4.3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class org.springframework.context.support.ApplicationObjectSupport

`logger`

## Constructor Summary

Constructors
Constructor
Description
`LogImplementationDetails()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initApplicationContext(ApplicationContext context)`
`protected boolean`
`isContextRequired()`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### LogImplementationDetails

public LogImplementationDetails()

## Method Details

### isContextRequired

protected boolean isContextRequired()

Overrides:
  `isContextRequired` in class `ApplicationObjectSupport`

### initApplicationContext

protected void initApplicationContext(@Nonnull ApplicationContext context) throws BeansException

Overrides:
  `initApplicationContext` in class `ApplicationObjectSupport`
Throws:
  `BeansException`